ApiKnowledge bases
Gets a notice.
Returns the notice whether it is active or has ended, with its history.
Authorization
Bearer AuthorizationBearer <token>
JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.
In: header
Path Parameters
knowledgeBase*string
The knowledge base id.
Format
uuidnotice*string
The notice id.
Format
uuidtenant*string
The tenant identifier
Response Body
curl -X GET "https://api.fruxon.com/v1/tenants/string/knowledgeBases/497f6eca-6276-4993-bfeb-53cbbbba6f08/notices/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"id": "00000000-0000-0000-0000-000000000000",
"knowledgeBaseId": "00000000-0000-0000-0000-000000000000",
"title": "string",
"body": "string",
"validUntil": 0,
"timeZone": "string",
"active": false,
"endedAt": 0,
"createdAt": 0,
"createdBy": "string",
"modifiedAt": 0,
"modifiedBy": "string",
"withdrawnAt": 0,
"withdrawnBy": "string",
"withdrawNote": "string",
"reactivatesId": "00000000-0000-0000-0000-000000000000",
"source": "UI",
"sourceDetail": "string",
"events": [
{
"at": 0,
"by": "string",
"action": "POSTED",
"note": "string"
}
]
}Empty
Empty
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"property1": null,
"property2": null
}